[
  {"id": "badges.dialog.create_badge.title", "translation": "Create achievement"},
  {"id": "badges.dialog.create_badge.submit", "translation": "Create"},
  {"id": "badges.dialog.edit_badge.title", "translation": "Edit achievement"},
  {"id": "badges.dialog.edit_badge.submit", "translation": "Save"},
  {"id": "badges.dialog.create_type.title", "translation": "Create type"},
  {"id": "badges.dialog.create_type.submit", "translation": "Create"},
  {"id": "badges.dialog.edit_type.title", "translation": "Edit type"},
  {"id": "badges.dialog.edit_type.submit", "translation": "Save"},
  {"id": "badges.dialog.grant.title", "translation": "Grant achievement"},
  {"id": "badges.dialog.grant.submit", "translation": "Grant"},
  {"id": "badges.dialog.grant.intro", "translation": "Grant achievement to @%s"},
  {"id": "badges.dialog.create_subscription.title", "translation": "Create subscription"},
  {"id": "badges.dialog.create_subscription.submit", "translation": "Add"},
  {"id": "badges.dialog.create_subscription.intro", "translation": "Select the achievement type you want to subscribe to this channel."},
  {"id": "badges.dialog.delete_subscription.title", "translation": "Delete subscription"},
  {"id": "badges.dialog.delete_subscription.submit", "translation": "Remove"},
  {"id": "badges.dialog.delete_subscription.intro", "translation": "Select the achievement type you want to unsubscribe from this channel."},

  {"id": "badges.field.name", "translation": "Name"},
  {"id": "badges.field.description", "translation": "Description"},
  {"id": "badges.field.image", "translation": "Image"},
  {"id": "badges.field.image.help", "translation": "Enter an emoticon name"},
  {"id": "badges.field.type", "translation": "Type"},
  {"id": "badges.field.multiple", "translation": "Multiple"},
  {"id": "badges.field.multiple.help", "translation": "Whether the achievement can be granted multiple times"},
  {"id": "badges.field.delete_badge", "translation": "Delete achievement"},
  {"id": "badges.field.delete_badge.help", "translation": "WARNING: checking this will remove this achievement permanently."},
  {"id": "badges.field.everyone_can_create", "translation": "Everyone can create achievement"},
  {"id": "badges.field.everyone_can_create.help", "translation": "Whether any user can create an achievement of this type"},
  {"id": "badges.field.allowlist_create", "translation": "Can create allowlist"},
  {"id": "badges.field.allowlist_create.help", "translation": "Fill the usernames separated by comma (,) of the people that can create achievements of this type."},
  {"id": "badges.field.everyone_can_grant", "translation": "Everyone can grant achievement"},
  {"id": "badges.field.everyone_can_grant.help", "translation": "Whether any user can grant an achievement of this type"},
  {"id": "badges.field.allowlist_grant", "translation": "Can grant allowlist"},
  {"id": "badges.field.allowlist_grant.help", "translation": "Fill the usernames separated by comma (,) of the people that can grant achievements of this type."},
  {"id": "badges.field.delete_type", "translation": "Remove type"},
  {"id": "badges.field.delete_type.help", "translation": "WARNING: checking this will remove this type and all associated achievements permanently."},
  {"id": "badges.field.user", "translation": "User"},
  {"id": "badges.field.badge", "translation": "Achievement"},
  {"id": "badges.field.reason", "translation": "Reason"},
  {"id": "badges.field.reason.help", "translation": "Reason why you are granting this achievement. This will be seen by the user, and wherever this grant notification is shown (e.g. subscriptions)."},
  {"id": "badges.field.notify_here", "translation": "Notify on this channel"},
  {"id": "badges.field.notify_here.help", "translation": "If you mark this, the bot will send a message to this channel notifying that you granted this achievement to this person."},

  {"id": "badges.error.unknown", "translation": "An unknown error occurred. Please talk to your system administrator for help."},
  {"id": "badges.error.cannot_get_user", "translation": "Cannot get user."},
  {"id": "badges.error.only_sysadmin_clean", "translation": "Only a system admin can clean the achievements database."},
  {"id": "badges.error.specify_create", "translation": "Specify what you want to create."},
  {"id": "badges.error.create_badge_or_type", "translation": "You can create either achievement or type"},
  {"id": "badges.error.no_types_available", "translation": "You cannot create achievements from any type."},
  {"id": "badges.error.must_set_badge_id", "translation": "You must set the achievement ID"},
  {"id": "badges.error.cannot_edit_badge", "translation": "You cannot edit this achievement"},
  {"id": "badges.error.specify_edit", "translation": "Specify what you want to edit."},
  {"id": "badges.error.edit_badge_or_type", "translation": "You can edit either achievement or type"},
  {"id": "badges.error.no_permissions_edit_type", "translation": "You have no permissions to edit an achievement type."},
  {"id": "badges.error.must_provide_type_id", "translation": "You must provide a type id"},
  {"id": "badges.error.cannot_edit_type", "translation": "You cannot edit this type"},
  {"id": "badges.error.no_permissions_grant", "translation": "You have no permissions to grant this achievement"},
  {"id": "badges.error.cannot_grant_badge", "translation": "You cannot grant that achievement"},
  {"id": "badges.error.specify_subscription", "translation": "Specify what you want to do."},
  {"id": "badges.error.create_or_delete_subscription", "translation": "You can either create or delete subscriptions"},
  {"id": "badges.error.cannot_create_subscription", "translation": "You cannot create subscriptions"},
  {"id": "badges.error.no_permissions_create_type", "translation": "You have no permissions to create an achievement type."},
  {"id": "badges.error.already_owned", "translation": "This achievement is already owned by this user"},

  {"id": "badges.success.clean", "translation": "Clean"},
  {"id": "badges.success.granted", "translation": "Granted"},
  {"id": "badges.success.removed", "translation": "Removed"},

  {"id": "badges.api.dialog_parse_error", "translation": "Could not get the dialog request"},
  {"id": "badges.api.cannot_get_user", "translation": "Cannot get user"},
  {"id": "badges.api.empty_emoji", "translation": "Empty emoji"},
  {"id": "badges.api.invalid_field", "translation": "Invalid field"},
  {"id": "badges.api.type_not_exist", "translation": "This type does not exist"},
  {"id": "badges.api.no_permissions_create_badge", "translation": "You have no permissions to create this achievement"},
  {"id": "badges.api.badge_created", "translation": "Achievement `%s` created."},
  {"id": "badges.api.no_permissions_create_type", "translation": "You have no permissions to create a type"},
  {"id": "badges.api.cannot_find_user", "translation": "Cannot find user"},
  {"id": "badges.api.error_getting_user", "translation": "Error getting user %s: %v"},
  {"id": "badges.api.type_created", "translation": "Type `%s` created."},
  {"id": "badges.api.cannot_get_type", "translation": "Cannot get type"},
  {"id": "badges.api.cannot_edit_type", "translation": "You cannot edit this type"},
  {"id": "badges.api.could_not_get_type", "translation": "Could not get the type"},
  {"id": "badges.api.no_permissions_edit_type", "translation": "You have no permissions to edit this type"},
  {"id": "badges.api.type_updated", "translation": "Type `%s` updated."},
  {"id": "badges.api.cannot_get_badge", "translation": "Cannot get achievement"},
  {"id": "badges.api.cannot_edit_badge", "translation": "You cannot edit this achievement"},
  {"id": "badges.api.could_not_get_badge", "translation": "Could not get the achievement"},
  {"id": "badges.api.no_permissions_edit_badge", "translation": "You have no permissions to edit this achievement"},
  {"id": "badges.api.badge_updated", "translation": "Achievement `%s` updated."},
  {"id": "badges.api.badge_not_found", "translation": "Achievement not found"},
  {"id": "badges.api.no_permissions_grant", "translation": "You have no permissions to grant this achievement"},
  {"id": "badges.api.user_not_found", "translation": "User not found"},
  {"id": "badges.api.badge_granted", "translation": "Achievement `%s` granted to @%s."},
  {"id": "badges.api.cannot_create_subscription", "translation": "You cannot create a subscription"},
  {"id": "badges.api.subscription_added", "translation": "Subscription added"},
  {"id": "badges.api.cannot_delete_subscription", "translation": "You cannot delete a subscription"},
  {"id": "badges.api.subscription_removed", "translation": "Subscription removed"},
  {"id": "badges.api.cannot_delete_default_type", "translation": "Cannot delete the default type"},
  {"id": "badges.api.not_authorized", "translation": "Not authorized"},

  {"id": "badges.notify.dm_text", "translation": "@%s granted you the %s`%s` achievement."},
  {"id": "badges.notify.dm_reason", "translation": "\nWhy? "},
  {"id": "badges.notify.title", "translation": "%sachievement granted!"},
  {"id": "badges.notify.channel_text", "translation": "@%s granted @%s the %s`%s` achievement."},
  {"id": "badges.notify.no_permission_channel", "translation": "You don't have permissions to notify the grant on this channel."}
]